mbed_lstools.linux Namespace Reference

## Classes

class | MbedLsToolsLinuxGeneric

## Variables

| logger = logging.getLogger("mbedls.lstools_linux")
string | SYSFS_BLOCK_DEVICE_PATH = '/sys/class/block'

## Detailed Description

    mbed SDK
    Copyright (c) 2011-2015 ARM Limited

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

## Variable Documentation

## logger

mbed_lstools.linux.logger = logging.getLogger("mbedls.lstools_linux")

Definition at line 25 of file linux.py.

## SYSFS_BLOCK_DEVICE_PATH

string mbed_lstools.linux.SYSFS_BLOCK_DEVICE_PATH = '/sys/class/block'

Definition at line 29 of file linux.py.